petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionAddFieldDof

Adds a number of degrees of freedom associated with a field on a given point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionAddFieldDof(PetscSection s, PetscInt point, PetscInt field, PetscInt numDof)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| field | - the field
| numDof | - the number of dof

### See Also

PetscSectionSetFieldDof(), PetscSectionGetFieldDof(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages